Subject: Re: bug#19727: 25.0.50; setting a todo item to done puts point at the end of the buffer

From: Stephen Berman <[email-masked]>
Date: Tue, 03 Feb 2015 23:39:58 +0100

On Thu, 29 Jan 2015 11:10:47 +0100 Robert Pluim <[email-masked]> wrote:

> when I set an item to done in a todo-mode buffer, point ends up at the
> end of the buffer, which is somewhat surprising. Attached patch
> remembers where point was, and restores it.

As the todo-mode.el maintainer, sorry for not responding sooner.  I
guess it's reasonable to leave point where the previously not-done item
was when the done items section is hidden.  I take it you have no
objection to the current behavior of point moving to the item just set
to done when the done items section is visible, since your patch doesn't
alter that.  If so, then I'll install your patch as is (but with a more
appropriate commit message and ChangeLog entry).  Before I do that, have
you submitted a copyright assignment for Emacs?  If not, I'll install it
as a tiny change.  Thanks for the patch.

Steve Berman